package com.liquidnet.service.kylin.dto.vo.partner;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class KylinTicketExpressModuleVo implements Serializable, Cloneable {

    @ApiModelProperty(value = "票id")
    private String ticketId;

    @ApiModelProperty(value = "快递模板codeList")
    private List<ExpressModuleVo> produceCodeList;

    private static final KylinTicketExpressModuleVo obj = new KylinTicketExpressModuleVo();

    public static KylinTicketExpressModuleVo getNew() {
        try {
            return (KylinTicketExpressModuleVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinTicketExpressModuleVo();
        }
    }
}
